D4Science Infrastructure - Task #11574

Strange Error on parthenos resource-registry instance
Apr 05, 2018 11:16 AM - Roberto Cirillo

Status: Closed Start date: Apr 05, 2018
Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

| see the following error on the registry-parthenos.d4science.org. Please could you check:

172018-04-04 18:45:08,225 [localhost-startStop-1] ERROR HostingNodeManager: Unable to add {"@clas
s":"HostingNode", "header": {"@class":"Header", "uuid":"ecdc7183-2871-4cf9-9f05-fd8e64aaecO00", "creato
r":null, "creationTime":null, "lastUpdateTime":null}, "isRelatedTo":[], "consistsOf":[{"@class":"IsIde
ntifiedBy", "header":null, "propagationConstraint":null, "source":{"@class":"HostingNode", "header": {"
@class":"Header", "uuid":"ecdc7183-2871-4cf9-9f05-fd8e64aaecO00", "creator":null, "creationTime":null,
"lastUpdateTime":null}}, "target":{"@class":"NetworkingFacet", "header":null, "hostName":"registry-pa
rthenos.d4science.org", "domainName" :"d4science.org", "mask":null, "broadcastAddress":null, "ipaddress
":"146.48.123.154","Port":80}}, {"Qclass":"ConsistsOf", "header":null, "propagationConstraint":null,"
source":{"@class":"HostingNode", "header":{"@class":"Header", "uuid":"ecdc7183-2871-4cf9-9£f05-fd8eb64
aaec00", "creator":null, "creationTime":null, "lastUpdateTime":null}}, "target":{"@class":"CPUFacet","
header":null, "model":"Intel (R) Xeon(R) CPU E5-2650 v4 @ 2.20GHz","vendor":"GenuineIntel", "clockSpe
ed":"2197.518","siblings":"2", "cache_size":"30720 KB", "apicid":"9", "physical_id":"0","flags":"fpu

de tsc msr pae cx8 apic sep cmov pat clflush mmx fxsr sse sse2 ss ht syscall nx lm constant_tsc re
p_good nopl pni pclmulgdg ssse3 fma cx16 ssed_1 ssed_2 movbe popcnt tsc_deadline_timer aes flb6c rd
rand hypervisor lahf_lm abm 3dnowprefetch ida arat epb pln pts dtherm fsgsbase erms", "cpuid_level"
:"20", "cpu_cores":"1", "fpu":"yes", "microcode":"0xb00001le","clflush_size":"64", "stepping":"1", "proc
essor":"0", "bogomips":"4395.03", "address_sizes":"46 bits physical, 48 bits virtual","cpu_family":"

6", "core_id":"4","cache_alignment":"64", "fpu_exception":"yes", "wp":"yes", "modelNumber":"79", "initi
al_apicid":"9"}}, {"@class":"ConsistsOf", "header":null, "propagationConstraint":null, "source":{"@cla
ss":"HostingNode", "header":{"@class":"Header", "uuid":"ecdc7183-2871-4cf9-9f05-fd8eb4aaecO0", "creat
or":null,"creationTime":null, "lastUpdateTime":null}}, "target":{"@class":"CPUFacet", "header":null,"

model":"Intel (R) Xeon(R) CPU E5-2650 v4 @ 2.20GHz", "vendor":"GenuinelIntel","clockSpeed":"2197.518"
,"siblings":"2", "cache_size":"30720 KB", "apicid":"9", "physical_id":"0","flags":"fpu de tsc msr pae

cx8 apic sep cmov pat clflush mmx fxsr sse sse2 ss ht syscall nx 1lm constant_tsc rep_good nopl pn
i pclmulgdg ssse3 fma cx16 ssed_1 ssed_2 movbe popcnt tsc_deadline_timer aes fl6c rdrand hyperviso
r lahf_1Im abm 3dnowprefetch ida arat epb pln pts dtherm fsgsbase erms", "cpuid_level”:"20", "cpu_cor
es":"1","fpu":"yes", "microcode":"0xb00001le", "clflush_size":"64", "stepping":"1", "processor":"1", "bo
gomips":"4395.03", "address_sizes":"46 bits physical, 48 bits virtual", "cpu_family":"6","core_id":"
4", "cache_alignment":"64", "fpu_exception":"yes", "wp":"yes", "modelNumber":"79","initial_ apicid":"9"
}}, {"@class":"ConsistsOf", "header":null, "propagationConstraint":null, "source":{"@class":"HostingNo
de", "header": {"Qclass":"Header", "uuid":"ecdc7183-2871-4cf9-9f05-fd8e64aaec00", "creator":null, "crea
tionTime":null, "lastUpdateTime":null}}, "target":{"Q@class":"SoftwareFacet", "header":null, "name":"am
de4d", "group":"Linux", "version":"3.13.0-32-generic", "description”:null, "qualifier":null, "optional":
false}l}, {"Qclass":"ConsistsOf", "header":null, "propagationConstraint":null, "source":{"@class":"Host
ingNode", "header":{"@class":"Header", "uuid":"ecdc7183-2871-4c£f9-9f05-fd8e64aaecO00", "creator":null,
"creationTime":null, "lastUpdateTime":null}}, "target":{"@class":"SimplePropertyFacet", "header":null
, "name" : "ENVIRONMENT_VARIABLES", "value":"", "TOMCAT_USER":"gcube", "CATALINA_PID":"/var/run/tomcat-i
nstance-9000.pid", "CATALINA_TMPDIR":"/home/gcube/tomcat/tmp", "JAVA_HOME":"/usr/1lib/jvm/java-8-orac
le","JAVA_OPTS":"-XX:+UseConcMarkSweepGC —-server -Djava.awt.headless=true -Dfile.encoding=UTF-8 -X
ms2048m —-Xmx2048m", "JSSE_HOME":"/usr/lib/jvm/java-8-oracle/jre/", "TERM":"xterm—-256color", "XFILESEA
RCHPATH":"/usr/dt/app-defaults/%L/Dt", "LANG":"en_US.UTF-8", "JVM_TMP": " /home/gcube/tomcat/tmp", "Sma
rtGears":"2.1.5-4.11.0-151409", "WEB_CONTAINER_HOME":" /home/gcube/tomcat", "CATALINA_BASE":"/home/gc
ube/tomcat", "PWD": " /home/gcube/tomcat", "SmartGearsDistributionBundle":"UnBundled", "Java":"1.8.0_14
4", "TOMCAT_GROUP" : "gcube", "CATALINA_HOME":"/usr/share/tomcat7", "OLDPWD":"/home/gcube/tomcat/tmp", "
NLSPATH" :"/usr/dt/lib/nls/msg/%L/%N.cat", "SmartGearsDistribution":"2.2.0-4.11.0-162179", "JAVA_HEAP

":"-Xms2048m —-Xmx2048m", "GHN_HOME" : " /home/gcube/SmartGears", "JAVA_PERMGEN":"", "HOME" : " /home /gcube"
, "SHLVL":"1", "ghn-update-interval-in-secs":"300"}}, {"@class":"ConsistsOf", "header":null, "propagati
onConstraint":null, "source":{"@class":"HostingNode", "header":{"Qclass":"Header", "uuid":"ecdc7183-2

871-4cf9-9f05-fd8eb4aaecO0", "creator":null, "creationTime":null, "lastUpdateTime":null}}, "target": {"
@class":"ContainerStateFacet", "header":null, "value":"started"}}, {"@class":"HasVolatileMemory", "hea
der":null, "propagationConstraint":null, "source":{"@class":"HostingNode", "header":{"@class":"Header
", "uuid":"ecdc7183-2871-4cf9-9f05-fd8eb4aaecO00", "creator":null, "creationTime":null, "lastUpdateTime
":null}},"target":{"@class":"MemoryFacet", "header":null,"size":1945, "used":794, "unit":"MB"}, "memor
yType":"RAM"}, {"@class":"HasVolatileMemory", "header":null, "propagationConstraint":null, "source": {"
@class":"HostingNode", "header":{"@class":"Header", "uuid":"ecdc7183-2871-4cf9-9£f05-fd8eb4aaecO0", "c
reator":null, "creationTime":null, "lastUpdateTime":null}}, "target":{"@class":"MemoryFacet", "header"
:null, "size":2031, "used":123, "unit":"MB", " jvmMaxMemory" :2031}, "memoryType" :"JVM"}, {"@class":"HasPe
rsistentMemory", "header":null, "propagationConstraint":null, "source":{"@class":"HostingNode", "heade
r":{"@class":"Header", "uuid":"ecdc7183-2871-4cf9-9f05-fd8eb64aaec00", "creator":null, "creationTime":
null, "lastUpdateTime":null}}, "target":{"@class":"MemoryFacet", "header":null, "size":12278, "used":28
23,"unit":"MB"}}]} to current context (/d4science.research-infrastructures.eu/ParthenosV0)

org.gcube.informationsystem.resourceregistry.api.exceptions.ResourceRegistryException: Bad Gateway

Related issues:
Related to D4Science Infrastructure - Upgrade #11549: ParthenosVO upgrade to ... Completed Mar 28,2018 Apr 04, 2018

History

#1 - Apr 05, 2018 11:16 AM - Roberto Cirillo
- Related to Upgrade #11549: ParthenosVO upgrade to gCube 4.11.0 added

#2 - Apr 06, 2018 02:57 PM - Luca Frosini

- Status changed from New to In Progress

#3 - Apr 06, 2018 03:55 PM - Luca Frosini

- Status changed from In Progress to Closed

The problem was related to old libraries from SNAPSHOT found in tomcat/lib

#4 - Apr 06, 2018 03:56 PM - Luca Frosini
- % Done changed from 0 to 100

#5 - Apr 06, 2018 04:02 PM - Andrea Dell'’Amico

Manually installed, or any wrong dependency?
